<?php
$options = get_option('solicitor_options');
$menu_locations = get_nav_menu_locations();
global $allowed_tags;
$logo = (isset($options['logo_upload']))?$options['logo_upload']:'';
$logo_retina = (isset($options['retina_logo_upload']))?$options['retina_logo_upload']:'';
$logo_url = (isset($logo['url']))?$logo['url']:'';
$logo_retina_url = (!empty($options['retina_logo_upload']['url'])!='')?$logo_retina['url']:$logo_url;
$retina_logo_width = (isset($options['retina_logo_width']))?$options['retina_logo_width']:'164';
$retina_logo_height = (isset($options['retina_logo_height']))?$options['retina_logo_height']:'45';
$topbar_switch = (isset($options['enable_topbar']))?$options['enable_topbar']:'';
$header_info_switch = (isset($options['header_info_switch']))?$options['header_info_switch']:1;
$header_icon1 = (isset($options['header_icon1']))?$options['header_icon1']:'';
$header_text1 = (isset($options['header_text1']))?$options['header_text1']:'';
$header_icon2 = (isset($options['header_icon2']))?$options['header_icon2']:'';
$header_text2 = (isset($options['header_text2']))?$options['header_text2']:'';
$header_icon3 = (isset($options['header_icon3']))?$options['header_icon3']:'';
$header_text3 = (isset($options['header_text3']))?$options['header_text3']:'';
?>


    	<div class="site-header">
        	<div class="container">
                <div class="site-logo">
                    <?php if($logo_url==''&&$logo_retina_url=='') { ?>
                	<a href="<?php echo esc_url( home_url('/') ); ?>" class="static-logo">
						<span class="site-name"><?php echo get_bloginfo('name'); ?></span>
						<span class="site-tagline"><?php echo get_bloginfo('description'); ?></span>
                    </a>
                <?php } else { ?>
                    <a href="<?php echo esc_url( home_url('/') ); ?>">
                        <img src="<?php echo esc_url($logo_url); ?>" alt="" class="default-logo">
                        <img src="<?php echo esc_url($logo_retina_url ); ?>" alt="" class="retina-logo" width="<?php echo esc_attr($retina_logo_width); ?>" height="<?php echo esc_attr($retina_logo_height); ?>">
                    </a>
              	<?php } ?>
                </div>
                <?php if($header_info_switch == 1 && ($header_text1!=''||$header_text2!=''||$header_text3!='')) { ?>
                	<a href="#" id="info-toggle" class="visible-sm visible-xs"><i class="fa fa-bars"></i></a>
                <?php } ?>
                <a href="#" id="menu-toggle"><?php esc_html_e('Menu','solicitor'); ?></a>
                
                <?php if($header_info_switch == 1 && ($header_text1!=''||$header_text2!=''||$header_text3!='')) { ?>
                <ul id="info-content">
                	<li>
                    	<?php if($header_icon1!='') { ?>
                    		<i class="fa <?php echo esc_attr($header_icon1); ?>"></i>
                    	<?php } ?>
                    	<?php if($header_text1!='') { ?><div class="hinfo"><?php echo wp_kses($header_text1, $allowed_tags); ?></div><?php } ?>
                    </li>
                	<li>
                    	<?php if($header_icon2!='') { ?>
                    		<i class="fa <?php echo esc_attr($header_icon2); ?>"></i>
                    	<?php } ?>
                    	<?php if($header_text2!='') { ?><div class="hinfo"><?php echo wp_kses($header_text2, $allowed_tags); ?></div><?php } ?>
                    </li>
                	<li>
                    	<?php if($header_icon3!='') { ?>
                    		<i class="fa <?php echo esc_attr($header_icon3); ?>"></i>
                    	<?php } ?>
                    	<?php if($header_text3!='') { ?><div class="hinfo"><?php echo wp_kses($header_text3, $allowed_tags); ?></div><?php } ?>
                    </li>
                </ul>
                <?php } ?>
          	</div>
        </div>
        <!-- Main Menu -->
        <nav class="main-navigation">
        	<div class="container">
                <ul class="pull-right social-icons social-icons-colored">
                     <?php
						$socialSites = $options['header_social_links'];
						foreach ($socialSites as $key => $value) {
						  $string = substr($key, 3);
						  if (filter_var($value, FILTER_VALIDATE_EMAIL)) {
							  echo '<li class="'.esc_attr($string).'"><a href="mailto:' . esc_attr($value) . '"><i class="fa fa-lg ' . esc_attr($key) . '"></i></a></li>';
						  }
						  if (filter_var($value, FILTER_VALIDATE_URL)) {
							  echo '<li class="'.esc_attr($string).'"><a href="' . esc_url($value) . '" target="_blank"><i class="fa fa-lg ' . esc_attr($key) . '"></i></a></li>';
						  }
						  elseif($key == 'fa-skype' && $value != '' && $value != 'Enter Skype ID') {
							  echo '<li class="'.esc_attr($string).'"><a href="skype:' . esc_attr($value) . '?call"><i class="fa fa-lg ' . esc_attr($key) . '"></i></a></li>';
						}
					} ?>
                </ul>
				<?php if (!empty($menu_locations['primary-menu'])) { 
					wp_nav_menu(array('theme_location' => 'primary-menu', 'container' => '','items_wrap' => '<ul id="%1$s" class="dd-menu sf-menu">%3$s</ul>', 'walker' => new solicitor_mega_menu_walker));
				} ?>
          	</div>
        </nav>
    </div>