<?php
require_once get_template_directory() . '/solicitor-framework//tgm/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'solicitor_register_required_plugins' );
function solicitor_register_required_plugins() {
    $plugins = array(
        array(
			'name' => esc_html__('Breadcrumb NavXT', 'solicitor'),
			'slug' => 'breadcrumb-navxt',
			'required' 	=> false,
		),
		array(
			'name' => esc_html__('Pojo Sidebars', 'solicitor'),
			'slug' => 'pojo-sidebars',
			'required' 	=> false,
		),
       	array(
			'name' => esc_html__('WooCommerce - excelling eCommerce', 'solicitor'),
		    'slug' => 'woocommerce',
			'required' 	=> false,
		),
		array(
			'name' => esc_html__('Simple Twitter Tweets', 'solicitor'),
			'slug' => 'simple-twitter-tweets',
			'required' 	=> false,
		),
		array(
			'name' => esc_html__('Meta Box', 'solicitor'),
		  	'slug' => 'meta-box',
			'required' 	=> true,
            'force_activation'   => false,
            'force_deactivation' => false,
		),
		array(
			'name' => esc_html__('Page Builder by SiteOrigin', 'solicitor'),
		   	'slug' => 'siteorigin-panels',
			'required' 	=> true,
		),
		array(
			'name' => esc_html__('SiteOrigin Widgets Bundle', 'solicitor'),
		   	'slug' => 'so-widgets-bundle',
			'required' 	=> true,
		),
		array(
			'name' => esc_html__('Contact Form 7', 'solicitor'),
		    'slug' => 'contact-form-7',
			'required' 	=> false,
		),
		array(
            'name' => esc_html__('Redux Framework', 'solicitor'),
            'slug'  => 'redux-framework',
            'required'           => true,
            'force_activation'   => false,
            'force_deactivation' => false,
        ),
		array(
            'name' 				=> esc_html__('Solicitor core', 'solicitor'),
            'slug' 				=> 'solicitor-core',
			'source'            => get_template_directory() . '/solicitor-framework'. '/plugins/solicitor-core.zip',
            'version'           => '1.3',
            'required'          => true,
            'force_activation'  => false,
            'force_deactivation'=> false,
        ),
		array(
            'name' 				=> esc_html__('imic Shortcodes', 'solicitor'),
            'slug' 				=> 'imic-shortcodes',
			'source'            => get_template_directory() . '/solicitor-framework'. '/plugins/imic-shortcodes.zip',
            'version'           => '1.3',
            'required'          => true,
            'force_activation'  => false,
            'force_deactivation'=> false,
        ),
		array(
            'name'              => esc_html__('Revolution Slider', 'solicitor'),
            'slug'              => 'revslider',
            'source'            => get_template_directory() . '/solicitor-framework'. '/plugins/revslider.zip',
            'required'          => true,
            'version'           => '5.4.7.1',
            'force_activation'  => false,
            'force_deactivation'=> false,
            'external_url'      => '',
        ),
            
    );
    $config = array(
        'default_path' => '',
        'menu'         => 'tgmpa-install-plugins',
        'has_notices'  => true,
        'dismissable'  => true,
        'dismiss_msg'  => '',
        'is_automatic' => false,
        'message'      => '',
        'strings'      => array(
            'page_title'                      => esc_html__( 'Install Required Plugins', 'solicitor' ),
            'menu_title'                      => esc_html__( 'Install Plugins', 'solicitor' ),
            'installing'                      => esc_html__( 'Installing Plugin: %s', 'solicitor' ),
            'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'solicitor' ),
            'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'solicitor' ),
            'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'solicitor' ),
            'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'solicitor' ),
            'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'solicitor' ),
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'solicitor' ),
            'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'solicitor' ),
            'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'solicitor' ),
            'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'solicitor' ),
            'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'solicitor' ),
            'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'solicitor' ),
            'return'                          => esc_html__( 'Return to Required Plugins Installer', 'solicitor' ),
            'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'solicitor' ),
            'complete'                        => __( 'All plugins installed and activated successfully. %s', 'solicitor' ),
            'nag_type'                        => 'updated'
        )
    );
    tgmpa( $plugins, $config );
}